Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class WriterMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.WriterMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter, MessageAdapterSerialization

    public class WriterMessageAdapter

extends AbstractMessageAdapter
implements MessageAdapterSerialization

`WriterMessageAdapter` wraps a java.io.StringWriter and allows meta information to be associated with the Writer.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.transport.MessageAdapterSerialization
`MessageAdapterSerialization.Type`

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`` | `WriterMessageAdapter(Object message)`
`protected` | `WriterMessageAdapter(WriterMessageAdapter template)`

Method Summary
`void` | `close()`
`void` | `flush()`
`Object` | `getPayload()`
`byte[]` | `getPayloadAsBytes()` Converts the message implementation into a String representation
`String` | `getPayloadAsString(String encoding)` Converts the message implementation into a String representation
`byte[]` | `getPayloadForSerialization()`
`Writer` | `getWriter()`
`ThreadSafeAccess` | `newThreadCopy()`
`void` | `write(String string)`
`void` | `write(String string, int offset, int len)`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriterMessageAdapter

    public WriterMessageAdapter(Object message)
                         throws MessageTypeNotSupportedException

Throws:
  `MessageTypeNotSupportedException`

### WriterMessageAdapter

    protected WriterMessageAdapter(WriterMessageAdapter template)

Method Detail

### getPayloadAsString

    public String getPayloadAsString(String encoding)
                              throws Exception

  Converts the message implementation into a String representation

  Parameters:
    `encoding` - The encoding to use when transforming the message (if necessary). The parameter is used when converting from a byte array
  Returns:
    String representation of the message payload
  Throws:
    `Exception` - Implementation may throw an endpoint specific exception

### getPayloadAsBytes

    public byte[] getPayloadAsBytes()
                             throws Exception

  Converts the message implementation into a String representation

  Returns:
    String representation of the message
  Throws:
    `Exception` - Implemetation may throw an endpoint specific exception

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `MessageAdapter`
  Returns:
    the current message

### write

    public void write(String string)

### write

    public void write(String string,
                      int offset,
                      int len)

### getWriter

    public Writer getWriter()

### flush

    public void flush()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

### getPayloadForSerialization

    public byte[] getPayloadForSerialization()
                                      throws Exception

  Specified by:
    `getPayloadForSerialization` in interface `MessageAdapterSerialization`
  Returns:
    The payload of this MessageAdapter as bytes.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.